Module | Test::Unit::UI::TestRunnerUtilities
In: | test/unit/ui/testrunnerutilities.rb

Provides some utilities common to most, if not all, TestRunners.

### Methods

run start_command_line_test

### Public Instance methods

run(suite, output_level=NORMAL)

Creates a new TestRunner and runs the suite.

[Source]

    # File test/unit/ui/testrunnerutilities.rb, line 26
            def run(suite, output_level=NORMAL)
              return new(suite, output_level).start
            end

start_command_line_test()

Takes care of the ARGV parsing and suite determination necessary for running one of the TestRunners from the command line.

[Source]

    # File test/unit/ui/testrunnerutilities.rb, line 33
            def start_command_line_test
              if ARGV.empty?
                puts "You should supply the name of a test suite file to the runner"
                exit
              end
              require ARGV[0].gsub(/.+::/, '')
              new(eval(ARGV[0])).start
            end

[Validate]